[Unit]
Description="HashiCorp Nomad - An application and service scheduler"
Documentation=https://www.nomad.io/docs/
Requires=network-online.target
After=network-online.target
ConditionFileNotEmpty={{ nomad_config_file }}

[Service]
User={{ nomad_user_name }}
Group={{ nomad_user_name }}
ExecStart={{ nomad_bin_path }} agent -config={{ nomad_config_dir }}
ExecReload=/bin/kill --signal HUP $MAINPID
KillMode=process
Restart=on-failure
LimitNOFILE=65536

[Install]
WantedBy=multi-user.target